import * as React from "react";
import { ButtonProps } from "./Button";
export interface IconButtonProps extends Partial<ButtonProps> {
    /** A label required for accessibility  */
    label: string;
    /** The name of the icon you wish to render */
    icon?: React.ReactNode;
    /** Change the colour */
    color?: string;
    children?: React.ReactNode;
}
/**
 * A component which composes Button and Icon to provide
 * interactive icon elements.
 */
export declare const IconButton: React.FunctionComponent<IconButtonProps>;
/**
 * 旧版本 可传递 ref
 */
export declare const IconRefButton: React.ForwardRefExoticComponent<Pick<IconButtonProps, string | number> & React.RefAttributes<unknown>>;
interface CloseButtonProps extends Partial<ButtonProps> {
    /** An optional label for the close button */
    label?: string;
    /** Change the colour */
    color?: string;
}
export declare const CloseButton: React.FunctionComponent<CloseButtonProps>;
export {};
