import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { Manager, Reference, Popper } from "react-popper";
import { Portal } from "./Portal";
import { useTransition } from "react-spring";
import PropTypes from "prop-types";
export const Positioner = ({ target, isOpen = true, children, placement }) => {
    const transitions = useTransition(isOpen, {
        from: { opacity: 1 },
        // keys: item => item.key,
        enter: { opacity: 1 },
        leave: { opacity: 0 },
        config: { mass: 1, tension: 185, friction: 26 }
    });
    return (_jsxs(Manager, { children: [_jsx(Reference, { children: target }, void 0),
            transitions((style, item) => {
                return (item && _jsx(Portal, { children: _jsx(Popper, Object.assign({ placement: placement }, { children: props => children(props, style) }), void 0) }, 1));
            })] }, void 0));
};
Positioner.propTypes = {
    isOpen: PropTypes.bool,
    placement: PropTypes.oneOf([
        "auto-start",
        "auto",
        "auto-end",
        "top-start",
        "top",
        "top-end",
        "right-start",
        "right",
        "right-end",
        "bottom-end",
        "bottom",
        "bottom-start",
        "left-end",
        "left",
        "left-start"
    ]),
    target: PropTypes.func,
    children: PropTypes.func
};
//# sourceMappingURL=Positions.js.map