import { __rest } from "tslib";
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import * as React from "react";
import { StackTitle as Title, Stack as OriginalStack, StackItem as OriginalStackItem, StackContext } from "react-gesture-stack";
import { Text } from "./Text";
import { Button } from "./Button";
import { IconChevronLeft } from "./Icons";
import { useTheme } from "./Theme/Providers";
export function StackTitle(_a) {
    var { title, backTitle = "Back" } = _a, other = __rest(_a, ["title", "backTitle"]);
    const { index, changeIndex } = React.useContext(StackContext);
    return (_jsx(Title, Object.assign({ backButton: _jsx(Button, Object.assign({ variant: "ghost", onPress: () => changeIndex(index - 1), iconBefore: _jsx(IconChevronLeft, {}, void 0) }, { children: backTitle }), void 0), title: title ? (_jsx(Text, Object.assign({ gutter: false, variant: "h6" }, { children: title }), void 0)) : null }, other), void 0));
}
export function Stack(props) {
    const theme = useTheme();
    return (_jsx(OriginalStack, Object.assign({ css: {
            ".Stack__nav": {
                background: theme.colors.background.tint1,
                boxShadow: theme.shadows.xs
            }
        } }, props), void 0));
}
export function StackItem(props) {
    const theme = useTheme();
    const dark = theme.colors.mode === "dark";
    function generateShadow(x) {
        return dark
            ? `rgba(0, 0, 0, ${x}) 0px 0px 12px -2px`
            : `rgba(160, 160, 160, ${x}) 0px 0px 12px -2px`;
    }
    return (_jsx(OriginalStackItem, Object.assign({ generateShadow: generateShadow, style: {
            background: undefined
        }, css: {
            backgroundColor: theme.colors.background.default,
            "& .StackItem__overlay": {
                backgroundColor: theme.colors.background.tint1 + "!important"
            }
        } }, props), void 0));
}
//# sourceMappingURL=Stack.js.map